package com.yihu.jw.entity.care.role;


import com.yihu.jw.entity.iot.gateway.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * 医生角色权限区域
 **/
@Entity
@Table(name = "wlyy_role_area")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_role_area")
public class DoctorRoleRealm extends IdEntity {


    // 角色编码
    private String roleCode;
    // 区域编码
    private String areaCode;

    @Column(name = "role_code")
    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    @Column(name = "area_code")
    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
}
